Subject: Re: [PATCH net-next v4 0/4] net: Introduce QUSGMII phy mode

From: Jakub Kicinski <[email-masked]>
Date: Mon, 1 Aug 2022 20:21:29 -0700

On Mon,  1 Aug 2022 09:37:09 +0200 Maxime Chevallier wrote:
> This is the V4 of a previous series [1] initially aimed at introducing
> inband extensions, with modes like QUSGMII. This mode allows passing
> info in the ethernet preamble between the MAC and the PHY, such s
> timestamps.
> 
> This series has now become a preliminary series, that simply introduces
> the new interface mode, without support for inband extensions, that will
> come later.
> 
> The reasonning is that work will need to be done in the networking
> subsystem, but also in the generic phy driver subsystem to allow serdes
> configuration for qusgmii.
> 
> This series add the mode, the relevant binding changes, adds support for
> it in the lan966x driver, and also introduces a small helper to get the
> number of links a given phy mode can carry (think 1 for SGMII and 4 for
> QSGMII). This allows for better readability and will prove useful
> when (if) we support PSGMII (5 links on 1 interface) and OUSGMII (8
> links on one interface).
> 
> V4 contains no change but the collected Reviewed-by from Andrew.

This series came in after the closing of net-next:

https://lore.kernel.org/all/[email-masked]/

let's defer it until after the merge window.